%global dlrn_nvr microversion_parse-1.0.1-1.20220727102336.2c36df6
%global dlrn 1
%define upstream_version 1.0.1
%{!?sources_gpg: %{!?dlrn:%global sources_gpg 1} }
%global sources_gpg_sign 0x2426b928085a020d8a90d0d879ab7008d0896c8a
%{!?upstream_version: %global upstream_version %{version}%{?milestone}}

%global pypi_name microversion_parse
%global pkg_name microversion-parse

%global common_desc \
A simple parser for OpenStack microversion headers

Name:           python-%{pkg_name}
Version: 1.0.1
Release: 1.20220727102336.2c36df6%{?dist}
Summary:        OpenStack microversion header parser

License:        ASL 2.0
URL:            http://www.openstack.org/
Source0: microversion_parse-1.0.1-1.20220727102336.2c36df6.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=2c36df6bf33e42c379fbd8228fbe63c77b3714b1

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
Source101:        https://tarballs.openstack.org/%{pkg_name}/%{pypi_name}-%{version}.tar.gz.asc
Source102:        https://releases.openstack.org/_static/%{sources_gpg_sign}.txt
%endif
BuildArch:      noarch

# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
BuildRequires:  /usr/bin/gpgv2
BuildRequires:  openstack-macros
%endif


%description
%{common_desc}

%package -n     python3-%{pkg_name}
Summary:        OpenStack microversion header parser
%{?python_provide:%python_provide python3-%{pkg_name}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pbr
# Required for testing and documentation generation
BuildRequires:  python3-gabbi
BuildRequires:  python3-hacking
BuildRequires:  python3-testrepository
BuildRequires:  python3-testtools
BuildRequires:  python3-webob

Requires:       python3-webob

%description -n python3-%{pkg_name}
%{common_desc}

%package -n python-%{pkg_name}-doc
Summary:        microversion_parse documentation
BuildRequires:  python3-sphinx
BuildRequires:  python3-openstackdocstheme
%description -n python-%{pkg_name}-doc
Documentation for microversion_parse

%prep
# Required for tarball sources verification
%if 0%{?sources_gpg} == 1
%{gpgverify}  --keyring=%{SOURCE102} --signature=%{SOURCE101} --data=%{SOURCE0}
%endif
%autosetup -n %{pypi_name}-%{upstream_version}
# Let RPM handle the requirements
rm -f {test-,}requirements.txt

%build
%{py3_build}

# generate html docs
sphinx-build-3 doc/source html
# remove the sphinx-build-3 leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%{py3_install}

%check
%{__python3} setup.py test


%files -n python3-%{pkg_name}
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-*.egg-info

%files -n python-%{pkg_name}-doc
%doc html
%license LICENSE

%changelog
* Wed Jul 27 2022 OSP Prod Chain <dev-null@redhat.com> 1.0.1-1.20220727102336.2c36df6
- Update patches

* Tue Jul 12 2022 OSP Prod Chain <dev-null@redhat.com> 1.0.1-0.20220712081719.2c36df6
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 1.0.1-0.20210527175758.2c36df6
- Update patches

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Tue Dec 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Oct 15 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Fri Apr 17 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Apr 09 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- fix python version in tox file: py35 -> py37
- adding missing releasenote for the drop of py27 support

* Thu Mar 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Thu Mar 05 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches
- [ussuri][goal] Drop python 2.7 support and testing
- OpenDev Migration Patch
- Change openstack-dev to openstack-discuss
- Add python36 jobs to microversion-parse
- Copy zuul job settings from project-config
- fix tox python3 overrides

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches

* Wed Nov 13 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


